<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Api;

/**
 * Interface CartManagementInterface
 * @api
 */
interface CartManagementInterface
{
    /**
     * Add promo products to cart if exist available rules
     *
     * @param int $cartId
     * @param \Aheadworks\Afptc\Api\Data\RuleMetadataInterface[] $metadataRules
     * @return void
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function addPromoProducts($cartId, $metadataRules);

    /**
     * Remove unused promo data from cart
     *
     * @param int|\Magento\Quote\Model\Quote $cart
     * @return void
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function removeUnusedPromoData($cart);
}
