<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Api\Data;

use Magento\Sales\Api\Data\OrderInterface as SalesOrderInterface;

/**
 * Interface OrderInterface
 * @api
 */
interface OrderInterface extends SalesOrderInterface
{
    /**#@+
     * Constants defined for keys of the data array. Identical to the name of the getter in snake case
     */
    const AW_AFPTC_AMOUNT = 'aw_afptc_amount';
    const BASE_AW_AFPTC_AMOUNT = 'base_aw_afptc_amount';
    const AW_AFPTC_INVOICED = 'aw_afptc_invoiced';
    const BASE_AW_AFPTC_INVOICED = 'base_aw_afptc_invoiced';
    const AW_AFPTC_REFUNDED = 'aw_afptc_refunded';
    const BASE_AW_AFPTC_REFUNDED = 'base_aw_afptc_refunded';
    const AW_AFPTC_USES_COUPON = 'aw_afptc_uses_coupon';
    /**#@-*/
}
