<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Block\Adminhtml\Rule\Edit\Tab\Conditions;

use Aheadworks\Afptc\Model\Source\Rule\Scenario;
use Aheadworks\Afptc\Model\Rule\Condition\Cart\Rule\BuyXGetY;
use Aheadworks\Afptc\Model\Rule\Condition\Cart\Rule\Complete;

/**
 * Class TypeResolver
 *
 * @package Aheadworks\Afptc\Block\Adminhtml\Rule\Edit\Tab\Conditions
 */
class TypeResolver
{
    /**
     * @var array
     */
    private $typeMapping;

    /**
     * @param array $typeMapping
     */
    public function __construct(array $typeMapping)
    {
        $this->typeMapping = $typeMapping;
    }

    /**
     * Return rule scenario by condition type
     *
     * @param string $conditionPrefix
     * @return array
     */
    public function resolve($conditionPrefix)
    {
        return $this->typeMapping[$conditionPrefix];
    }
}
