<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Block\Cart\Promo\Item;

use Aheadworks\Afptc\Model\Cart\Promo\Item\QtyLabelResolver;
use Magento\Framework\View\Element\Template;
use Magento\Framework\View\Element\Template\Context;

/**
 * Class Info
 *
 * @package Aheadworks\Afptc\Block\Cart\Promo\Item
 */
class Info extends Template
{
    /**
     * @var QtyLabelResolver
     */
    private $qtyLabelResolver;

    /**
     * @param Context $context
     * @param QtyLabelResolver $qtyLabelResolver
     * @param array $data
     */
    public function __construct(
        Context $context,
        QtyLabelResolver $qtyLabelResolver,
        array $data = []
    ) {
        parent::__construct($context, $data);
        $this->qtyLabelResolver = $qtyLabelResolver;
    }

    /**
     * Retrieve qty label
     *
     * @return string
     */
    public function getQtyLabel()
    {
        return $this->qtyLabelResolver->resolve($this->getItem());
    }
}
