<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Controller\Adminhtml\Rule\PostDataProcessor;

use Aheadworks\Afptc\Api\Data\RuleInterface;
use Magento\Framework\Stdlib\DateTime\Filter\Date as DateFilter;

/**
 * Class Date
 *
 * @package Aheadworks\Afptc\Controller\Adminhtml\Rule\PostDataProcessor
 */
class Date implements ProcessorInterface
{
    /**
     * @var DateFilter
     */
    private $dateFilter;

    /**
     * @param DateFilter $dateFilter
     */
    public function __construct(
        DateFilter $dateFilter
    ) {
        $this->dateFilter = $dateFilter;
    }

    /**
     * Prepare dates for save
     *
     * @param array $data
     * @return array
     */
    public function process($data)
    {
        $filterValues = [];
        if (empty($data[RuleInterface::FROM_DATE])) {
            $data[RuleInterface::FROM_DATE] = null;
        } else {
            $filterValues[RuleInterface::FROM_DATE] = $this->dateFilter;
        }
        if (empty($data[RuleInterface::TO_DATE])) {
            $data[RuleInterface::TO_DATE] = null;
        } else {
            $filterValues[RuleInterface::TO_DATE] = $this->dateFilter;
        }

        $inputFilter = new \Zend_Filter_Input(
            $filterValues,
            [],
            $data
        );
        $data = $inputFilter->getUnescaped();
        return $data;
    }
}
