<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Controller\Adminhtml\Rule\PostDataProcessor;

use Aheadworks\Afptc\Api\Data\RuleInterface;
use Aheadworks\Afptc\Model\ThirdPartyModule\OnSale\Source\Label\LabelList;

/**
 * Class OnSaleLabelId
 *
 * @package Aheadworks\Afptc\Controller\Adminhtml\Rule\PostDataProcessor
 */
class OnSaleLabelId implements ProcessorInterface
{
    /**
     * {@inheritdoc}
     */
    public function process($data)
    {
        if (isset($data[RuleInterface::PROMO_ON_SALE_LABEL_ID])) {
            $data[RuleInterface::PROMO_ON_SALE_LABEL_ID] =
                $data[RuleInterface::PROMO_ON_SALE_LABEL_ID] == LabelList::DO_NOT_USE
                    ? null
                    : $data[RuleInterface::PROMO_ON_SALE_LABEL_ID];
        }

        return $data;
    }
}
