<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Controller\Adminhtml\Rule\PostDataProcessor;

/**
 * Class UseDefault
 *
 * @package Aheadworks\Afptc\Controller\Adminhtml\Rule\PostDataProcessor
 */
class UseDefault implements ProcessorInterface
{
    const USE_DEFAULT_DATA = 'use_default';

    /**
     * Reset data to default for fields where it is required
     *
     * @param array $data
     * @return array
     */
    public function process($data)
    {
        if (isset($data[self::USE_DEFAULT_DATA]) && is_array($data[self::USE_DEFAULT_DATA])) {
            foreach ($data[self::USE_DEFAULT_DATA] as $field => $isTicked) {
                if ($isTicked) {
                    $data[$field] = null;
                }
            }
        }

        return $data;
    }
}
