<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Cart\Item\ExtensionAttributes\Processor;

use Magento\Quote\Api\Data\CartItemInterface;

/**
 * Interface ProcessorInterface
 *
 * @package Aheadworks\Afptc\Model\Cart\Item\ExtensionAttributes\Processor
 */
interface ProcessorInterface
{
    /**
     * Prepare entity data before save
     *
     * @param CartItemInterface $item
     * @return CartItemInterface
     */
    public function prepareDataBeforeSave($item);

    /**
     * Prepare entity data after load
     *
     * @param CartItemInterface $item
     * @return CartItemInterface
     */
    public function prepareDataAfterLoad($item);
}
