<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Checkout;

use Aheadworks\Afptc\Api\Data\CartItemInterface;
use Magento\Checkout\Model\Cart as CheckoutCart;

/**
 * Class Cart
 * @package Aheadworks\Afptc\Model\Checkout
 */
class Cart extends CheckoutCart
{
    /**
     * @inheritDoc
     */
    public function addOrderItem($orderItem, $qtyFlag = null)
    {
        $info = $orderItem->getProductOptionByCode('info_buyRequest');
        $info[CartItemInterface::AW_AFPTC_IS_PROMO] = false;
        $orderItem->setProductOptions(['info_buyRequest' => $info]);

        return parent::addOrderItem($orderItem, $qtyFlag);
    }
}
