<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Formatter;

use Magento\Framework\Stdlib\DateTime as FrameworkDateTime;

/**
 * Class DateTime
 * @package Aheadworks\Afptc\Model\Formatter
 */
class DateTime
{
    /**
     * Convert date to given format
     *
     * @param string|null $date
     * @param string $format
     * @return string
     * @throws \Exception
     */
    public function formattingDate($date, $format = FrameworkDateTime::DATETIME_PHP_FORMAT)
    {
        if ($date) {
            $dateTime = new \DateTime($date);
            $date = $dateTime->format($format);
        }

        return $date;
    }
}
