<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Indexer\Rule;

use Aheadworks\Afptc\Model\ResourceModel\Rule\Indexer\RuleProduct as ResourceRuleProductIndexer;

/**
 * Class AbstractAction
 *
 * @package Aheadworks\Afptc\Model\Indexer\Product
 */
abstract class AbstractAction
{
    /**
     * @var ResourceRuleProductIndexer
     */
    protected $resourceRuleProductIndexer;

    /**
     * @param ResourceRuleProductIndexer $resourceRuleProductIndexer
     */
    public function __construct(
        ResourceRuleProductIndexer $resourceRuleProductIndexer
    ) {
        $this->resourceRuleProductIndexer = $resourceRuleProductIndexer;
    }

    /**
     * Execute action for given ids
     *
     * @param array|int $ids
     * @return void
     */
    abstract public function execute($ids);
}
