<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Indexer\Rule\Action\DataChecker;

/**
 * Class ExcludeDataFilter
 *
 * @package Aheadworks\Afptc\Model\Indexer\Rule\Action\DataChecker
 */
class ExcludeDataFilter
{
    /**
     * @var array
     */
    private $fields;

    /**
     * @param array $fields
     */
    public function __construct(
        array $fields = []
    ) {
        $this->fields = $fields;
    }

    /**
     * Exclude data from array
     *
     * @param array $data
     * @return array
     */
    public function apply($data)
    {
        $result = $data;
        foreach ($this->fields as $name => $field) {
            unset($result[$field]);
        }

        return $result;
    }
}
