<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Metadata\Rule;

use Aheadworks\Afptc\Api\Data\RuleMetadataPromoProductInterface;
use Aheadworks\Afptc\Api\Data\RuleMetadataPromoProductInterfaceFactory;
use Magento\Framework\Api\DataObjectHelper;

/**
 * Class PromoProductFactory
 *
 * @package Aheadworks\Afptc\Model\Metadata\Rule
 */
class PromoProductFactory
{
    /**
     * @var RuleMetadataPromoProductInterfaceFactory
     */
    private $promoProductFactory;

    /**
     * @var DataObjectHelper
     */
    private $dataObjectHelper;

    /**
     * @param RuleMetadataPromoProductInterfaceFactory $promoProductFactory
     * @param DataObjectHelper $dataObjectHelper
     */
    public function __construct(
        RuleMetadataPromoProductInterfaceFactory $promoProductFactory,
        DataObjectHelper $dataObjectHelper
    ) {
        $this->promoProductFactory = $promoProductFactory;
        $this->dataObjectHelper = $dataObjectHelper;
    }

    /**
     * Create promo product object for rule metadata
     *
     * @param array $data
     * @return RuleMetadataPromoProductInterface
     */
    public function create($data)
    {
        /** @var RuleMetadataPromoProductInterface $ruleMetadataObject */
        $promoProductObject = $this->promoProductFactory->create();
        $this->dataObjectHelper->populateWithArray(
            $promoProductObject,
            $data,
            RuleMetadataPromoProductInterface::class
        );

        return $promoProductObject;
    }
}
