<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\PromoOffer\Render;

use Aheadworks\Afptc\Api\Data\PromoOfferRender\ProductRenderInterface;
use Aheadworks\Afptc\Api\Data\PromoOfferRenderInterface;
use Magento\Framework\EntityManager\MapperInterface;

/**
 * Class Mapper
 *
 * @package Aheadworks\Afptc\Model\PromoOffer\Render
 */
class Mapper implements MapperInterface
{
    /**
     * {@inheritdoc}
     */
    public function entityToDatabase($entityType, $data)
    {
        if (isset($data[PromoOfferRenderInterface::ITEMS]) && is_array($data[PromoOfferRenderInterface::ITEMS])) {
            foreach ($data[PromoOfferRenderInterface::ITEMS] as &$item) {
                $item[ProductRenderInterface::OPTION] =  \Zend_Json::decode($item[ProductRenderInterface::OPTION]);
            }
        }
        return $data;
    }

    /**
     * {@inheritdoc}
     */
    public function databaseToEntity($entityType, $data)
    {
        return $data;
    }
}
