<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\PromoOffer;

/**
 * Class VisibilityRouteList
 *
 * @package Aheadworks\Afptc\Model\PromoOffer
 */
class VisibilityRouteList
{
    /**
     * @var array
     */
    private $types;

    /**
     * @var array
     */
    private $deniedRoutes;

    /**
     * @param array $types
     * @param array $deniedRoutes
     */
    public function __construct(
        $types = [],
        $deniedRoutes = []
    ) {
        $this->types = $types;
        $this->deniedRoutes = $deniedRoutes;
    }

    /**
     * Get routes
     *
     * Popup is visible only for provided routes, otherwise it's shown up everywhere if none provided
     *
     * @param string $type
     * @return array
     */
    public function getRoutes($type)
    {
        $resultRoutes = [];
        if (isset($this->types[$type])) {
            $resultRoutes = $this->types[$type];
        }

        return $resultRoutes;
    }

    /**
     * Get denied routes. Popup is not visible these routes.
     *
     * @return array
     */
    public function getDinedRoutes()
    {
        return $this->deniedRoutes;
    }
}
