<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model;

use Magento\Framework\Api\Search\SearchCriteria;

/**
 * Class Report
 *
 * @package Aheadworks\Afptc\Model
 */
class Report
{
    /**
     * @var array
     */
    private $reports;

    /**
     * @param array $reports
     */
    public function __construct($reports = [])
    {
        $this->reports = $reports;
    }

    /**
     * Retrieve report data
     *
     * @param SearchCriteria $searchCriteria
     * @return array
     */
    public function getStatistics($searchCriteria)
    {
        $data = [];
        foreach ($this->reports as $report) {
            $data = array_replace($data, $report->getStatistics($searchCriteria));
        }
        return $data;
    }
}
