<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\ResourceModel\Report;

use Aheadworks\Afptc\Api\Data\RuleInterface;
use Aheadworks\Afptc\Model\Source\Rule\Status;
use Aheadworks\Afptc\Model\ResourceModel\Rule\Collection as RuleCollection;
use Magento\Framework\DB\Select;

/**
 * Class Rule
 *
 * @package Aheadworks\Afptc\Model\ResourceModel\Report
 */
class Rule extends RuleCollection
{
    /**
     * Retrieve rule statistics
     *
     * @return array
     */
    public function getStatistics()
    {
        $this->getSelect()->reset(Select::COLUMNS);
        $this->getSelect()
            ->columns(
                [
                    'active_promo_campaigns' => new \Zend_Db_Expr('COUNT(*)')
                ]
            )->where(RuleInterface::IS_ACTIVE . ' = ?', Status::ENABLED);

        $this->_renderFilters()->_renderOrders()->_renderLimit();
        return $this->getConnection()->fetchRow($this->getSelect());
    }
}
