<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\ResourceModel\Rule\Relation\ProductAttribute\SaveHandler;

use Aheadworks\Afptc\Api\Data\RuleInterface;

/**
 * Class ProductAttributeList
 *
 * @package Aheadworks\Afptc\Model\ResourceModel\Rule\Relation\ProductAttribute\SaveHandler
 */
class ProductAttributeList
{
    /**
     * Prepare list of attribute codes used in rule conditions
     *
     * @param RuleInterface $rule
     * @return array
     */
    public function prepare($rule)
    {
        $attributes = $this->retrieveAttributeCodes($rule->getCartConditions());
        return $attributes;
    }

    /**
     * Retrive attribute codes from serialized string
     *
     * @param string $serializedString
     * @return array
     */
    private function retrieveAttributeCodes($serializedString)
    {
        preg_match_all(
            '~"Aheadworks\\\\\\\\Afptc\\\\\\\\Model\\\\\\\\Rule' .
            '\\\\\\\\Condition\\\\\\\\Cart\\\\\\\\Product","attribute":"(.*?)"~',
            $serializedString,
            $matches
        );
        return array_values($matches[1]);
    }
}
