<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\Condition;

/**
 * Class Finder
 *
 * @package Aheadworks\Afptc\Model\Rule\Condition
 */
class Finder
{
    /**
     * Find data in array
     *
     * @param array $array
     * @param array $searchParams
     * @return bool
     */
    public function findInArray($array, $searchParams)
    {
        $result = false;
        foreach ($array as $key => $data) {
            if (is_array($data)) {
                $result = $this->findInArray($data, $searchParams);
            } else {
                $matches = 0;
                foreach ($searchParams as $paramName => $paramValue) {
                    if ($array[$paramName] == $paramValue) {
                        $matches++;
                    }
                }
                if ($matches == count($searchParams)) {
                    return true;
                }
            }
        }

        return $result;
    }
}
