<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\Converter\ToMetadataRule\Actions\Items\Children;

use \Magento\Quote\Model\Quote\Item\AbstractItem;

/**
 * Class Validator
 *
 * @package Aheadworks\Afptc\Model\Rule\Converter\ToMetadataRule\Actions\Items\Children
 */
class Validator
{
    /**
     * @var array
     */
    private $validationByTypeMap;

    /**
     * @param array $validationByTypeMap
     */
    public function __construct(
        array $validationByTypeMap = []
    ) {
        $this->validationByTypeMap = $validationByTypeMap;
    }

    /**
     * Check if validation is required
     *
     * @param AbstractItem $item
     * @return bool
     */
    public function isValidationRequired($item)
    {
        $type = $item->getProduct()->getTypeId();

        return isset($this->validationByTypeMap[$type]) ? (bool)$this->validationByTypeMap[$type] : true;
    }
}
