<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\Converter\ToMetadataRule\Actions\Items\Validator\Option;

use Aheadworks\Afptc\Model\Rule\Converter\ToMetadataRule\Actions\Items\Validator\Option\Processor\ProcessorInterface;
use Magento\Quote\Api\Data\ProductOptionExtensionInterface;

/**
 * Class Processor
 *
 * @package Aheadworks\Afptc\Model\Rule\Converter\ToMetadataRule\Actions\Items\Validator\Option
 */
class Processor
{
    /**
     * @var ProcessorInterface[]
     */
    private $processors;

    /**
     * @param array $processors
     */
    public function __construct(array $processors = [])
    {
        $this->processors = $processors;
    }

    /**
     * Check if product options is valid
     *
     * @param string $productType
     * @param ProductOptionExtensionInterface|null $quoteItemOptions
     * @param ProductOptionExtensionInterface|null $promoProductOptions
     * @return bool
     */
    public function isValid($productType, $quoteItemOptions, $promoProductOptions)
    {
        return (isset($this->processors[$productType]))
            ? $this->processors[$productType]->isValid($quoteItemOptions, $promoProductOptions)
            : true;
    }
}
