<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\Converter\ToMetadataRule\Actions\Items\Validator\Option\Processor;

use Magento\Quote\Api\Data\ProductOptionExtensionInterface;

/**
 * Interface ProcessorInterface
 *
 * @package Aheadworks\Afptc\Model\Rule\Converter\ToMetadataRule\Actions\Items\Validator\Option\Processor
 */
interface ProcessorInterface
{
    /**
     * Check if options are valid
     *
     * @param ProductOptionExtensionInterface|null $quoteItemOptions
     * @param ProductOptionExtensionInterface|null $promoProductOptions
     * @return bool
     */
    public function isValid($quoteItemOptions, $promoProductOptions);
}
