<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\Converter\ToMetadataRule\Processor;

use Magento\Framework\Exception\LocalizedException;

/**
 * Class Pool
 *
 * @package Aheadworks\Afptc\Model\Rule\Converter\ToMetadataRule\Processor
 */
class Pool
{
    /**#@+
     * Processor types
     */
    const POPUP_PROCESSOR = 'popup';
    const AUTO_ADD_PROCESSOR = 'autoAdd';
    const DISCOUNT = 'discount';
    /**#@-*/

    /**
     * @var array
     */
    private $processors = [];

    /**
     * @param array $processors
     */
    public function __construct($processors = [])
    {
        $this->processors = $processors;
    }

    /**
     * Retrieves metadata for engine code
     *
     * @param string $type
     * @return ProcessorInterface
     * @throws LocalizedException
     */
    public function getProcessor($type)
    {
        if (!isset($this->processors[$type])) {
            throw new LocalizedException(__('Unknown processor: %s requested', $type));
        }
        return $this->processors[$type];
    }
}
