<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\Converter\ToMetadataRule\Resolver\Option;

use Magento\Catalog\Model\Product\Configuration\Item\ItemInterface;

/**
 * Interface ConfigurationInterface
 *
 * @package Aheadworks\Afptc\Model\Rule\Converter\ToMetadataRule\Resolver\Option
 */
interface ConfigurationInterface
{
    /**
     * Get active options array
     *
     * @param ItemInterface $item
     * @return array
     */
    public function getActiveOptions(ItemInterface $item);

    /**
     * Process item options
     *
     * @param array $optionsData
     * @return array
     */
    public function processOptions($optionsData);
}
