<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\Converter\ToMetadataRule\Resolver\Qty;

use Magento\InventoryApi\Api\GetSourceItemsBySkuInterface;
use Magento\Framework\ObjectManagerInterface;

/**
 * Class ProductSourceEnabledMSI
 * @package Aheadworks\Afptc\Model\Rule\Converter\ToMetadataRule\Resolver\Qty
 */
class ProductSourceEnabledMSI implements ProductSourceInterface
{
    /**
     * @var GetSourceItemsBySkuInterface
     */
    private $getSourceItemsBySku;

    /**
     * @param ObjectManagerInterface $objectManager
     */
    public function __construct(
        ObjectManagerInterface $objectManager
    ) {
        $this->getSourceItemsBySku = $objectManager->create(GetSourceItemsBySkuInterface::class);
    }

    /**
     * @inheritDoc
     */
    public function getAvailableQty($sku, $scopeId)
    {
        $qty = 0;
        $sourceItems = $this->getSourceItemsBySku->execute($sku);
        foreach ($sourceItems as $sourceItem) {
            $qty += $sourceItem->getQuantity();
        }

        return $qty;
    }
}
