<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\Converter\ToMetadataRule\Resolver\Qty;

use Magento\Framework\ObjectManagerInterface;
use Magento\Framework\Module\Manager;

/**
 * Class ProductSourceFactory
 * @package Aheadworks\Afptc\Model\Rule\Converter\ToMetadataRule\Resolver\Qty
 */
class ProductSourceFactory
{
    const INVENTORY_MODULE_NAME = 'Magento_Inventory';

    /**
     * @var ObjectManagerInterface
     */
    private $objectManager;

    /**
     * @var Manager
     */
    private $moduleManager;

    /**
     * @param ObjectManagerInterface $objectManager
     * @param Manager $moduleManager
     */
    public function __construct(
        ObjectManagerInterface $objectManager,
        Manager $moduleManager
    ) {
        $this->objectManager = $objectManager;
        $this->moduleManager = $moduleManager;
    }

    /**
     * Create product source instance
     *
     * @return ProductSourceInterface
     */
    public function create()
    {
        $productSourceClassName = $this->moduleManager->isEnabled(self::INVENTORY_MODULE_NAME)
            ? ProductSourceEnabledMSI::class
            : ProductSourceDisabledMSI::class;

        return $this->objectManager->create($productSourceClassName);
    }
}
