<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\Converter\ToMetadataRule\Resolver\Qty;

use Aheadworks\Afptc\Api\Data\RuleMetadataPromoProductInterface;

/**
 * Class StockProductInterface
 *
 * @package Aheadworks\Afptc\Model\Rule\Converter\ToMetadataRule\Resolver\Qty
 */
interface StockProductInterface
{
    /**
     * Retrieve available qty in stock
     *
     * @param RuleMetadataPromoProductInterface $promoProduct
     * @param int $scopeId
     * @return float
     */
    public function getAvailableQty($promoProduct, $scopeId);

    /**
     * Check if manage stock enabled
     *
     * @param RuleMetadataPromoProductInterface $promoProduct
     * @param int $scopeId
     * @return bool
     */
    public function isManageStockEnabled($promoProduct, $scopeId) : bool;

    /**
     * Check if back order available
     *
     * @param RuleMetadataPromoProductInterface $promoProduct
     * @param int $scopeId
     * @return bool
     */
    public function isBackOrderAvailable($promoProduct, $scopeId) : bool;

    /**
     * @param RuleMetadataPromoProductInterface $promoProduct
     * @param int $scopeId
     * @return float
     */
    public function getAvailableQtyForIndex($promoProduct, $scopeId);
}
