<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\Discount\Calculator\Item;

use Aheadworks\Afptc\Api\Data\RuleMetadataInterface;
use Aheadworks\Afptc\Model\Rule\RuleMetadataManager;
use Magento\Quote\Model\Quote\Item\AbstractItem;

/**
 * Class Validator
 *
 * @package Aheadworks\Afptc\Model\Rule\Discount\Calculator\Item
 */
class Validator
{
    /**
     * @var RuleMetadataManager
     */
    private $ruleMetadataManager;

    /**
     * @param RuleMetadataManager $ruleMetadataManager
     */
    public function __construct(
        RuleMetadataManager $ruleMetadataManager
    ) {
        $this->ruleMetadataManager = $ruleMetadataManager;
    }

    /**
     * Can apply discount on item
     *
     * @param AbstractItem $item
     * @param RuleMetadataInterface $metadataRule
     * @return bool
     */
    public function canApplyDiscount($item, $metadataRule)
    {
        return !$item->getParentItem()
            && $this->ruleMetadataManager->isPromoProduct($metadataRule, $item->getAwAfptcId());
    }
}
