<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\Promo\Block;

use Aheadworks\Afptc\Api\Data\PromoInfoBlockInterface;
use Aheadworks\Afptc\Api\Data\PromoInfoBlockInterfaceFactory;
use Aheadworks\Afptc\Api\Data\PromoInterface;

/**
 * Class Factory
 *
 * @package Aheadworks\Afptc\Model\Rule\Promo\Block
 */
class Factory
{
    /**
     * @var PromoInfoBlockInterfaceFactory
     */
    private $promoBlockFactory;

    /**
     * @param PromoInfoBlockInterfaceFactory $promoInfoBlockFactory
     */
    public function __construct(
        PromoInfoBlockInterfaceFactory $promoInfoBlockFactory
    ) {
        $this->promoBlockFactory = $promoInfoBlockFactory;
    }

    /**
     * Create promo block
     *
     * @param PromoInterface $promo
     * @return PromoInfoBlockInterface
     */
    public function create($promo)
    {
        /** @var PromoInfoBlockInterface $promoInfoBlockFactory */
        $blockModel = $this->promoBlockFactory->create();
        $blockModel->setPromo($promo);

        return $blockModel;
    }
}
