<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\Promo\Block\Layout\Processor;

/**
 * Class Common
 *
 * @package Aheadworks\Afptc\Model\Label\Block\Layout\Processor
 */
class Common implements LayoutProcessorInterface
{
    /**
     * {@inheritdoc}
     */
    public function process($jsLayout, $promoInfoBlock, $placement, $scope)
    {
        $promo = $promoInfoBlock->getPromo();
        $jsLayout['components'] = [
            $scope => [
                'component' => 'Aheadworks_Afptc/js/components/promo/info-link',
                'infoLinkText' => $promo->getPromoOfferInfoText(),
                'popupConfig' => [
                    'header' => $promo->getPromoHeader(),
                    'description' => $promo->getPromoDescription()
                ]
            ]
        ];

        return $jsLayout;
    }
}
