<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\Promo\Block\Layout\Processor\Url;

use Magento\Framework\UrlInterface;

/**
 * Class Resolver
 *
 * @package Aheadworks\Afptc\Model\Rule\Promo\Block\Layout\Processor\Url
 */
class Resolver
{
    /**
     * @var UrlInterface
     */
    protected $urlBuilder;

    /**
     * @param UrlInterface $urlBuilder
     */
    public function __construct(
        UrlInterface $urlBuilder
    ) {
        $this->urlBuilder = $urlBuilder;
    }

    /**
     * @param string $url
     * @return string
     */
    public function resolve($url)
    {
        return $url
            ? $this->urlBuilder->getUrl(ltrim($url, '/'))
            : null;
    }
}
