<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\Promo\Renderer\Product;

use Aheadworks\Afptc\Model\Source\Rule\Promo\Renderer\Placement;
use Magento\Catalog\Api\Data\ProductInterface;
use Magento\Catalog\Model\Product;
use Magento\Framework\Registry;

/**
 * Class Resolver
 *
 * @package Aheadworks\Afptc\Model\Rule\Promo\Renderer\Product
 */
class Resolver
{
    /**
     * @var Registry
     */
    private $registry;

    /**
     * @var array
     */
    private $placementBy = ['registry' => [Placement::PRODUCT_PAGE]];

    /**
     * @param Registry $registry
     */
    public function __construct(Registry $registry)
    {
        $this->registry = $registry;
    }

    /**
     * Resolve product by placement
     *
     * @param string $placement
     * @return Product|ProductInterface|null
     */
    public function resolveByPlacement($placement)
    {
        $product = null;
        if (in_array($placement, $this->placementBy['registry'])) {
            $product = $this->registry->registry('product');
        }

        return $product;
    }
}
