<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\PromoOffer\Quote\Address\Processor;

use Magento\Quote\Model\Quote\Address;

/**
 * Class Item
 *
 * @package Aheadworks\Afptc\Model\Rule\PromoOffer\Quote\Address\Processor
 */
class Item implements ProcessorInterface
{
    /**
     * Remove promo products from address
     *
     * @param Address $address
     * @param array $data
     * @return array
     */
    public function process($address, $data)
    {
        $items = $address->getAllItems();
        $promoParentIds = [];

        foreach ($items as $index => $item) {
            if ($item->getAwAfptcIsPromo()) {
                if ($item->getHasChildren()) {
                    $promoParentIds[] = $item->getId();
                }
                unset($items[$index]);
            }
            if (in_array($item->getParentItemId(), $promoParentIds)) {
                unset($items[$index]);
            }
        }

        $data['cached_items_all'] = $items;
        return $data;
    }
}
