<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\PromoOffer\Validator;

use Magento\Framework\Exception\LocalizedException;

/**
 * Class Pool
 *
 * @package Aheadworks\Afptc\Model\Rule\PromoOffer\Validator
 */
class Pool
{
    /**
     * @var array
     */
    private $validators = [];

    /**
     * @param array $validators
     */
    public function __construct($validators = [])
    {
        $this->validators = $validators;
    }

    /**
     * Retrieves validator by rule scenarios
     *
     * @param string $ruleScenarios
     * @return ValidatorInterface
     * @throws LocalizedException
     */
    public function getValidator($ruleScenarios)
    {
        if (!isset($this->validators[$ruleScenarios])) {
            throw new LocalizedException(__('Unknown validator: %s requested', $ruleScenarios));
        }
        return $this->validators[$ruleScenarios];
    }
}
