<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\PromoOffer\Validator;

use Aheadworks\Afptc\Api\Data\RuleInterface;
use Magento\Quote\Model\Quote\Address;
use Magento\Quote\Model\Quote\Item\AbstractItem;

/**
 * Interface ValidatorInterface
 *
 * @package Aheadworks\Afptc\Model\Rule\PromoOffer\Validator
 */
interface ValidatorInterface
{
    /**
     * Check if valid rule
     *
     * @param RuleInterface $rule
     * @param Address $address
     * @param AbstractItem|null $quoteItem
     * @return bool
     */
    public function isValidRule($rule, $address, $quoteItem = null);

    /**
     * Check that the card contains regular products (not promo)
     *
     * @param AbstractItem[] $items
     * @return bool
     */
    public function isValidItems($items);
}
