<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\Validator;

use Magento\Framework\Validator\AbstractValidator;
use Aheadworks\Afptc\Api\Data\RuleInterface;
use Aheadworks\Afptc\Model\Source\Rule\Scenario;

/**
 * Class Coupon
 *
 * @package Aheadworks\Afptc\Model\Rule\Validator
 */
class Coupon extends AbstractValidator
{
    /**
     * Returns true if coupon code is valid
     *
     * @param RuleInterface $rule
     * @return bool
     */
    public function isValid($rule)
    {
        if ($rule->getScenario() == Scenario::COUPON) {
            $couponCode = $rule->getCouponCode();
            if (!$couponCode) {
                $this->_addMessages([__('Coupon code must not be empty.')]);
            }
        }
        return empty($this->getMessages());
    }
}
