<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Rule\Validator;

use Magento\Framework\Validator\AbstractValidator;
use Aheadworks\Afptc\Api\Data\RuleInterface;

/**
 * Class Date
 *
 * @package Aheadworks\Afptc\Model\Rule\Validator
 */
class Date extends AbstractValidator
{
    /**
     * Returns true from date is less then to date
     *
     * @param RuleInterface $rule
     * @return bool
     */
    public function isValid($rule)
    {
        $fromDate = $rule->getFromDate();
        $toDate = $rule->getToDate();

        if ($fromDate && $toDate) {
            $fromDate = new \DateTime($fromDate);
            $toDate = new \DateTime($toDate);

            if ($fromDate > $toDate) {
                $this->_addMessages([__('End Date must follow Start Date.')]);
            }
        }

        return empty($this->getMessages());
    }
}
