<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Source\Rule;

use Magento\Framework\Data\OptionSourceInterface;

/**
 * Class HowToOfferType
 *
 * @package Aheadworks\Afptc\Model\Source\Rule\Popup
 */
class HowToOfferType implements OptionSourceInterface
{
    /**#@+
     * Pop up how to offer types
     */
    const SHOW_POPUP = 'show_popup';
    const AUTO_ADDING = 'auto_adding';
    /**#@-*/

    /**
     * {@inheritdoc}
     */
    public function toOptionArray()
    {
        return [
            ['value' => self::SHOW_POPUP, 'label' => __('Show Popup')],
            ['value' => self::AUTO_ADDING, 'label' => __('Auto-add promo product to cart, if possible')]
        ];
    }
}
