<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Source\Rule\Promo\Renderer;

use Magento\Framework\Data\OptionSourceInterface;

/**
 * Class Placement
 *
 * @package Aheadworks\Afptc\Model\Source\Rule\Promo\Renderer
 */
class Placement implements OptionSourceInterface
{
    /**#@+
     * Placement values
     */
    const PRODUCT_LIST = 'product_list';
    const PRODUCT_PAGE = 'product_page';
    /**#@-*/

    /**
     * {@inheritdoc}
     */
    public function toOptionArray()
    {
        return [
            [
                'value' => self::PRODUCT_LIST,
                'label' => __('Product List')
            ],
            [
                'value' => self::PRODUCT_PAGE,
                'label' => __('Product Page')
            ],
        ];
    }
}
