<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Source\Rule\PromoOffer;

use Magento\Framework\Data\OptionSourceInterface;

/**
 * Class PageType
 *
 * @package Aheadworks\Afptc\Model\Source\Rule\PromoOffer
 */
class PageType implements OptionSourceInterface
{
    /**#@+
     * Page types
     */
    const DEFAULT = 'default';
    const CHECKOUT_PAGE = 'checkout';
    /**#@-*/

    /**
     * @inheritdoc
     */
    public function toOptionArray()
    {
        return [
            [
                'value' => self::DEFAULT,
                'label' => __('As soon as cart content matches a rule')
            ],
            [
                'value' => self::CHECKOUT_PAGE,
                'label' => __('On a cart and checkout pages only')
            ],
        ];
    }
}
