<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Source\Rule;

use Magento\Framework\Data\OptionSourceInterface;

/**
 * Class Scenario
 *
 * @package Aheadworks\Afptc\Model\Source\Rule
 */
class Scenario implements OptionSourceInterface
{
    /**#@+
     * Rule scenarios
     */
    const BUY_X_GET_Y = 'buy_x_get_y';
    const SPEND_X_GET_Y = 'spend_x_get_y';
    const COUPON = 'coupon';
    /**#@-*/

    /**
     * {@inheritdoc}
     */
    public function toOptionArray()
    {
        return [
            ['value' => self::BUY_X_GET_Y, 'label' => __('Buy X Get Y')],
            ['value' => self::SPEND_X_GET_Y, 'label' => __('Spend X Get Y')],
            ['value' => self::COUPON, 'label' => __('Coupon')],
        ];
    }
}
