<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Source\Rule;

use Magento\Framework\Data\OptionSourceInterface;

/**
 * Class SimpleAction
 *
 * @package Aheadworks\Afptc\Model\Source\Rule
 */
class SimpleAction implements OptionSourceInterface
{
    /**#@+
     * Rule actions
     */
    const EVERY = 'every';
    const ONLY_ONE_OF = 'only_one_of';
    const FOR_EACH_N = 'for_each_n';
    /**#@-*/

    /**
     * {@inheritdoc}
     */
    public function toOptionArray()
    {
        return [
            ['value' => self::ONLY_ONE_OF, 'label' => __('First time')],
            ['value' => self::EVERY, 'label' => __('Every time')],
            ['value' => self::FOR_EACH_N, 'label' => __('Every Nth time')],
        ];
    }
}
