<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Model\Source\Rule\Validation;

use Magento\Framework\Data\OptionSourceInterface;

/**
 * Class PriceType
 *
 * @package Aheadworks\Afptc\Model\Source\Rule\Validation
 */
class PriceType implements OptionSourceInterface
{
    /**#@+
     * Price types
     */
    const EXCLUDING_TAX = 0;
    const INCLUDING_TAX = 1;
    /**#@-*/

    /**
     * @inheritdoc
     */
    public function toOptionArray()
    {
        return [
            [
                'value' => self::EXCLUDING_TAX,
                'label' => __('Excluding Tax')
            ],
            [
                'value' => self::INCLUDING_TAX,
                'label' => __('Including Tax')
            ],
        ];
    }
}
