<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Observer;

use Aheadworks\Afptc\Api\Data\CartInterface;
use Magento\Framework\Event\ObserverInterface;
use Magento\Framework\Event\Observer;
use Magento\Payment\Model\Cart;

/**
 * Class AddPaymentAfptcCardItem
 *
 * @package Aheadworks\Afptc\Observer
 */
class AddPaymentAfptcCardItem implements ObserverInterface
{
    /**
     * Merge Afptc amount into discount of payment checkout totals
     *
     * @param Observer $observer
     * @return void
     */
    public function execute(Observer $observer)
    {
        /** @var Cart $cart */
        $cart = $observer->getEvent()->getCart();
        $salesEntity = $cart->getSalesModel();
        $value = abs($salesEntity->getDataUsingMethod(CartInterface::BASE_AW_AFPTC_AMOUNT));
        if ($value > 0.0001) {
            $cart->addDiscount((double)$value);
        }
    }
}
