<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Observer;

use Magento\Framework\Event\ObserverInterface;
use Magento\Framework\Event\Observer;

/**
 * Class IncreaseOrderAfptcInvoicedAmount
 *
 * @package Aheadworks\Afptc\Observer
 */
class IncreaseOrderAfptcInvoicedAmount implements ObserverInterface
{
    /**
     * Increase order aw_afptc_invoiced attribute based on created invoice
     *
     * @param Observer $observer
     * @return $this
     */
    public function execute(Observer $observer)
    {
        $invoice = $observer->getEvent()->getInvoice();
        $order = $invoice->getOrder();
        if ($invoice->getBaseAwAfptcAmount()) {
            $order->setBaseAwAfptcInvoiced(
                $order->getBaseAwAfptcInvoiced() + $invoice->getBaseAwAfptcAmount()
            );
            $order->setAwAfptcInvoiced(
                $order->getAwAfptcInvoiced() + $invoice->getAwAfptcAmount()
            );
        }
        return $this;
    }
}
