<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Observer;

use Magento\Framework\Event\ObserverInterface;
use Magento\Framework\Event\Observer;

/**
 * Class RedeemForMultishippingOrder
 *
 * @package Aheadworks\Afptc\Observer
 */
class RedeemForMultishippingOrder implements ObserverInterface
{
    /**
     *  {@inheritDoc}
     */
    public function execute(Observer $observer)
    {
        $event = $observer->getEvent();
        /** @var $order \Magento\Sales\Model\Order **/
        $order = $event->getOrder();
        /** @var $address \Magento\Quote\Model\Quote\Address */
        $address = $event->getAddress();

        if ($address->getAwAfptcAmount()) {
            $order->setAwAfptcAmount($address->getAwAfptcAmount());
            $order->setBaseAwAfptcAmount($address->getBaseAwAfptcAmount());
        }
    }
}
