<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Observer;

use Magento\Framework\Event\ObserverInterface;
use Magento\Framework\Event\Observer;

/**
 * Class Refund
 *
 * @package Aheadworks\Afptc\Observer
 */
class Refund implements ObserverInterface
{
    /**
     * Set refund amount to creditmemo
     *
     * @param Observer $observer
     * @return $this
     */
    public function execute(Observer $observer)
    {
        $creditmemo = $observer->getEvent()->getCreditmemo();
        $order = $creditmemo->getOrder();

        // If refund Afptc amount
        if ($creditmemo->getBaseAwAfptcAmount()) {
            $order->setBaseAwAfptcRefunded($order->getBaseAwAfptcRefunded() + $creditmemo->getBaseAwAfptcAmount());
            $order->setAwAfptcRefunded($order->getAwAfptcRefunded() + $creditmemo->getAwAfptcAmount());
        }

        return $this;
    }
}
