<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Plugin\CustomerData;

use Magento\Checkout\CustomerData\ItemPoolInterface;
use Magento\Quote\Model\Quote\Item;
use Aheadworks\Afptc\Model\Cart\Item\Renderer\PriceAdjustment;

/**
 * Class ItemPoolPlugin
 *
 * @package Aheadworks\Afptc\Plugin\CustomerData
 */
class ItemPoolPlugin
{
    /**
     * @var PriceAdjustment
     */
    private $priceAdjustment;

    /**
     * @param PriceAdjustment $priceAdjustment
     */
    public function __construct(PriceAdjustment $priceAdjustment)
    {
        $this->priceAdjustment = $priceAdjustment;
    }

    /**
     * Get item data by quote item
     *
     * @param ItemPoolInterface $subject
     * @param Item $item
     * @return array
     */
    public function beforeGetItemData($subject, $item)
    {
        $this->priceAdjustment->adjustForRendering($item);
        return [$item];
    }
}
