<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Plugin\Indexer\Product\Save;

use Aheadworks\Afptc\Model\Indexer\Rule\Processor as RuleProcessor;
use Magento\Catalog\Model\Product;

/**
 * Class ApplyRulesAfterReindex
 *
 * @package Aheadworks\Afptc\Plugin\Indexer\Product\Save
 */
class ApplyRulesAfterReindex
{
    /**
     * @var RuleProcessor
     */
    protected $ruleProcessor;

    /**
     * @param RuleProcessor $ruleProcessor
     */
    public function __construct(RuleProcessor $ruleProcessor)
    {
        $this->ruleProcessor = $ruleProcessor;
    }

    /**
     * Apply catalog rules after product resource model save
     *
     * @param Product $subject
     * @return void
     */
    public function afterReindex(Product $subject)
    {
        $this->ruleProcessor->reindexRow($subject->getId());
    }
}
