<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Plugin\Indexer\Stock;

use Aheadworks\Afptc\Model\Indexer\Rule\Processor as RuleProcessor;
use Magento\CatalogInventory\Model\Indexer\Stock\Action\Rows as RowsAction;

/**
 * Class UpdateRowsPlugin
 *
 * @package Aheadworks\Afptc\Plugin\Indexer\Stock
 */
class UpdateRowsPlugin
{
    /**
     * @var RuleProcessor
     */
    protected $ruleProcessor;

    /**
     * @param RuleProcessor $ruleProcessor
     */
    public function __construct(RuleProcessor $ruleProcessor)
    {
        $this->ruleProcessor = $ruleProcessor;
    }

    /**
     * Reindex on sale rule index after update of catalog inventory index
     *
     * @param RowsAction $subject
     * @param \Closure $proceed
     * @param $ids
     */
    public function aroundExecute(
        $subject,
        \Closure $proceed,
        $ids
    ) {
        $proceed($ids);
        $this->ruleProcessor->reindexList($ids);
    }
}
