<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Plugin\Model\Quote\Address;

use Magento\Quote\Model\Quote\Item;
use Magento\Quote\Model\Quote\Address\Item as AddressItem;

/**
 * Class ItemPlugin
 *
 * @package Aheadworks\Afptc\Plugin\Model\Quote\Address
 */
class ItemPlugin
{
    /**
     * @param AddressItem $subject
     * @param $result
     * @param Item $quoteItem
     * @return AddressItem
     */
    public function afterImportQuoteItem(AddressItem $subject, AddressItem $result, Item $quoteItem)
    {
        $result->setExtensionAttributes($quoteItem->getExtensionAttributes())
            ->setAwAfptcIsPromo($quoteItem->getAwAfptcIsPromo())
            ->setAwUniqueId($quoteItem->setAwUniqueId());

        return $result;
    }
}
