<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Plugin\Model\Quote;

use Magento\Catalog\Model\Product;
use Magento\Quote\Model\Quote\Item;

/**
 * Class ItemPlugin
 *
 * @package Aheadworks\Afptc\Plugin\Model\Quote
 */
class ItemPlugin
{
    /**
     * Check product representation in item
     *
     * @param Item $subject
     * @param \Closure $proceed
     * @param Product $product
     * @SuppressWarnings(PHPMD.UnusedFormalParameter)
     * @return bool
     */
    public function aroundRepresentProduct($subject, \Closure $proceed, $product)
    {
        $result = $proceed($product);

        if ($product->getAwAfptcIsPromo() && empty($subject->getAwAfptcIsPromo())) {
            return false;
        }
        if (empty($product->getAwAfptcIsPromo()) && $subject->getAwAfptcIsPromo()) {
            return false;
        }

        return $result;
    }
}
