<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Plugin\Model\ResourceModel;

use Aheadworks\Afptc\Model\Cart\Item\ExtensionAttributes\Processor\Composite;
use Magento\Quote\Model\Quote;
use Magento\Quote\Model\ResourceModel\Quote as ResourceQuote;

/**
 * Class QuotePlugin
 *
 * @package Aheadworks\Afptc\Plugin\Model\ResourceModel
 */
class QuotePlugin
{
    /**
     * @var Composite
     */
    private $processor;

    /**
     * @param Composite $processor
     */
    public function __construct(
        Composite $processor
    ) {
        $this->processor = $processor;
    }

    /**
     * Convert quote items data after load quote items
     *
     * @param ResourceQuote $subject
     * @param Quote $quote
     * @SuppressWarnings(PHPMD.UnusedFormalParameter)
     */
    public function beforeSave($subject, $quote)
    {
        foreach ($quote->getAllItems() as $item) {
            $this->processor->prepareDataBeforeSave($item);
        }
    }
}
