<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace
Aheadworks\Afptc\Plugin\Model\ThirdPartyModule\RewardPoints\Calculator\Earning\EarnItemResolver\RawItemProcessor;

use Aheadworks\RewardPoints\Model\Calculator\Earning\EarnItemResolver\RawItemProcessor\ItemGroupConverter;
use Aheadworks\RewardPoints\Model\Calculator\Earning\EarnItemResolver\ItemInterface;
use Magento\Sales\Model\Order\Invoice\Item as InvoiceItem;

/**
 * Class ItemGroupConverterPlugin
 *
 * @package Aheadworks\Afptc\Plugin\Model\ThirdPartyModule\RewardPoints\Calculator\Earning\EarnItemResolver\RawItemProcessor
 */
class ItemGroupConverterPlugin
{
    /**
     * Get item from object item
     *
     * @param ItemGroupConverter $subject
     * @param ItemInterface $result
     * @param InvoiceItem $objectItem
     * @return ItemInterface
     */
    public function afterGetItem(
        ItemGroupConverter $subject,
        ItemInterface $result,
        $objectItem
    ) {
        $isAwAfptcPromo = $objectItem->getAwAfptcIsPromo()
            || ($objectItem->getOrderItem() && $objectItem->getOrderItem()->getAwAfptcIsPromo());
        if ($isAwAfptcPromo) {
            $awAfptcPercent = $objectItem->getAwAfptcPercent() ?: $objectItem->getOrderItem()->getAwAfptcPercent();
            $availablePercent = (100 - $awAfptcPercent) / 100;
            $result->setBaseRowTotal(($result->getBaseRowTotal() * $availablePercent));
            $result->setBaseRowTotalInclTax(($result->getBaseRowTotalInclTax() * $availablePercent));
        }

        return $result;
    }
}
