<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Setup;

use Magento\Framework\Setup\UpgradeDataInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\ModuleDataSetupInterface;
use Aheadworks\Afptc\Setup\Updater\Data\Updater as DataUpdater;

/**
 * Class UpgradeData
 *
 * @package Aheadworks\Afptc\Setup
 */
class UpgradeData implements UpgradeDataInterface
{
    /**
     * @var DataUpdater
     */
    private $updater;

    /**
     * @param DataUpdater $updater
     */
    public function __construct(
        DataUpdater $updater
    ) {
        $this->updater = $updater;
    }

    /**
     * @inheritdoc
     */
    public function upgrade(ModuleDataSetupInterface $setup, ModuleContextInterface $context)
    {
        $setup->startSetup();

        if (version_compare($context->getVersion(), '1.3.0', '<')) {
            $this->updater->update130($setup);
        }
        if (version_compare($context->getVersion(), '1.4.0', '<')) {
            $this->updater->update140($setup);
        }

        $setup->endSetup();
    }
}
