<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Ui\Component\Form\Rule\Element\DiscountType;

use Aheadworks\Afptc\Model\Source\Rule\Discount\Type;
use Magento\Framework\Data\OptionSourceInterface;

/**
 * Class Options
 * @package Aheadworks\Afptc\Ui\Component\Form\Rule\Element\DiscountType
 */
class Options implements OptionSourceInterface
{
    /**
     * {@inheritdoc}
     */
    public function toOptionArray()
    {
        return [
            ['value' => Type::PERCENT, 'label' => __('WITH A PERCENT DISCOUNT')],
            ['value' => Type::FIXED_PRICE, 'label' => __('FOR A FIXED AMOUNT')],
        ];
    }
}
