<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Ui\DataProvider\PromoOffer\RenderList\Processor;

use Aheadworks\Afptc\Api\Data\PromoOfferRender\RuleConfigInterface;

/**
 * Class Count
 *
 * @package Aheadworks\Afptc\Ui\DataProvider\PromoOffer\RenderList\Processor
 */
class Count implements ProcessorInterface
{
    /**
     * {@inheritdoc}
     */
    public function prepareRender($promoOfferRender, $metadataRules)
    {
        $promoOfferRender->setCount($this->calculateGeneralQtyToGive($promoOfferRender->getRulesConfig()));
    }

    /**
     * Calculate general qty to give
     *
     * @param RuleConfigInterface[] $rulesConfig
     * @return float
     */
    private function calculateGeneralQtyToGive($rulesConfig)
    {
        $count = 0;
        foreach ($rulesConfig as $ruleConfig) {
            $count += $ruleConfig->getQtyToGive();
        }
        return $count;
    }
}
