<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Ui\DataProvider\PromoOffer\RenderList\Processor;

use Aheadworks\Afptc\Model\Config;
use Aheadworks\Afptc\Model\PromoOffer\VisibilityRouteList;

/**
 * Class PopupVisibilityRoutes
 *
 * @package Aheadworks\Afptc\Ui\DataProvider\PromoOffer\RenderList\Processor
 */
class PopupVisibilityRoutes implements ProcessorInterface
{
    /**
     * @var Config
     */
    private $config;

    /**
     * @var VisibilityRouteList
     */
    private $routeList;

    /**
     * @param Config $config
     * @param VisibilityRouteList $routeList
     */
    public function __construct(
        Config $config,
        VisibilityRouteList $routeList
    ) {
        $this->config = $config;
        $this->routeList = $routeList;
    }

    /**
     * @inheritdoc
     */
    public function prepareRender($promoOfferRender, $metadataRules)
    {
        $type = $this->config->getWhereToDisplayPopupType();
        $routes = $this->routeList->getRoutes($type);
        $promoOfferRender->setPageRoutesToDisplayPopup($routes);

        $pageDeniedRoutesList = $this->routeList->getDinedRoutes();
        $promoOfferRender->setPageRoutesDisablePopup($pageDeniedRoutesList);
    }
}
