<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Ui\DataProvider\PromoOffer\RenderList\Product\Processor\Option;

use Aheadworks\Afptc\Api\Data\RuleMetadataInterface;
use Aheadworks\Afptc\Api\Data\RuleMetadataPromoProductInterface;
use Magento\Catalog\Api\Data\ProductInterface;
use Magento\Catalog\Model\Product;

/**
 * Interface ConfigurationInterface
 *
 * @package Aheadworks\Afptc\Ui\DataProvider\PromoOffer\RenderList\Product\Processor\Configuration
 */
interface ConfigurationInterface
{
    /**
     * Get options array
     *
     * @param ProductInterface|Product $product
     * @return array
     */
    public function getOptions($product);

    /**
     * Get options array by metadata
     *
     * @param ProductInterface|Product $product
     * @param RuleMetadataInterface $ruleMetadata
     * @param RuleMetadataPromoProductInterface $ruleMetadataPromoProduct
     * @return array
     */
    public function getOptionsByMetadata($product, $ruleMetadata, $ruleMetadataPromoProduct);

    /**
     * Get options type
     *
     * @param array $options
     * @return string
     */
    public function getOptionType($options);
}
