<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Ui\DataProvider\PromoOffer\RenderList\Product\Processor;

/**
 * Class Price
 *
 * @package Aheadworks\Afptc\Ui\DataProvider\PromoOffer\RenderList\Product\Processor
 */
class Price implements ProcessorInterface
{
    /**
     * @var ProcessorInterface[]
     */
    private $priceProviders = [];

    /**
     * @param array $priceProviders
     */
    public function __construct(array $priceProviders = [])
    {
        $this->priceProviders = $priceProviders;
    }

    /**
     * {@inheritdoc}
     */
    public function prepareProductData($product, $ruleMetadata, $ruleMetadataPromoProduct, $productRender)
    {
        foreach ($this->priceProviders as $provider) {
            $provider->prepareProductData($product, $ruleMetadata, $ruleMetadataPromoProduct, $productRender);
        }
    }
}
