<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Ui\DataProvider\Rule;

use Magento\Framework\UrlInterface;

/**
 * Class FormConfig
 *
 * @package Aheadworks\Afptc\Ui\DataProvider\Rule
 */
class FormConfig
{
    /**
     * Submit url key
     */
    const KEY_SUBMIT_URL = 'submit_url';

    /**
     * @var UrlInterface
     */
    protected $urlBuilder;

    /**
     * @var array
     */
    protected $productUrls = [
        self::KEY_SUBMIT_URL => 'aw_afptc/rule/save',
    ];

    /**
     * @param UrlInterface $urlBuilder
     */
    public function __construct(
        UrlInterface $urlBuilder
    ) {
        $this->urlBuilder = $urlBuilder;
    }

    /**
     * Prepare form config
     *
     * @param $storeId
     * @return array
     */
    public function prepareConfig($storeId)
    {
        $parameters = [
            'store' => $storeId,
        ];

        $submitUrl = $this->urlBuilder->getUrl($this->productUrls[self::KEY_SUBMIT_URL], $parameters);

        return [
            self::KEY_SUBMIT_URL => $submitUrl
        ];
    }
}
