<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Ui\DataProvider\Rule\FormDataProcessor\PromoProducts;

/**
 * Class OptionProcessor
 *
 * @package Aheadworks\Afptc\Ui\DataProvider\Rule\FormDataProcessor\PromoProducts
 */
class OptionProcessor implements ProcessorInterface
{
    /**
     * @var array[]
     */
    private $processors;

    /**
     * @param array $processors
     */
    public function __construct(array $processors = [])
    {
        $this->processors = $processors;
    }

    /**
     * {@inheritdoc}
     */
    public function prepareProductOptions($productData, $promoProduct, $product)
    {
        $defaultProductType = ProcessorInterface::DEFAULT_PRODUCT_TYPE;

        if (isset($this->processors[$product->getTypeId()])) {
            $productData = $this->processors[$product->getTypeId()]->prepareProductOptions(
                $productData,
                $promoProduct,
                $product
            );
        } elseif (isset($this->processors[$defaultProductType])) {
            $productData = $this->processors[$defaultProductType]->prepareProductOptions(
                $productData,
                $promoProduct,
                $product
            );
        }

        return $productData;
    }
}
