<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Ui\DataProvider\Rule\FormDataProcessor\PromoProducts;

use Magento\Catalog\Api\Data\ProductInterface;
use Magento\Catalog\Model\Product;

/**
 * Interface ProcessorInterface
 *
 * @package Aheadworks\Afptc\Ui\DataProvider\Rule\FormDataProcessor\PromoProducts
 */
interface ProcessorInterface
{
    /**
     * Default product type.
     * It is used when other product type cannot be found
     */
    const DEFAULT_PRODUCT_TYPE = 'default';

    /**
     * Prepare product options
     *
     * @param array $productData
     * @param array $promoProduct
     * @param ProductInterface|Product $product
     * @return array
     */
    public function prepareProductOptions($productData, $promoProduct, $product);
}
