<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Afptc
 * @version    1.5.4
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Afptc\Ui\DataProvider\Rule\FormDataProcessor;

use Aheadworks\Afptc\Model\ThirdPartyModule\Manager;

/**
 * Class ThirdPartyModule
 *
 * @package Aheadworks\Afptc\Ui\DataProvider\Rule\FormDataProcessor
 */
class ThirdPartyModule implements ProcessorInterface
{
    /**
     * Key for keeping value of on sale module status
     */
    const ON_SALE_ENABLED_PARAM = 'onSaleEnabled';

    /**
     * @var Manager
     */
    private $thirdPartyModuleManager;

    /**
     * @param Manager $thirdPartyModuleManager
     */
    public function __construct(
        Manager $thirdPartyModuleManager
    ) {
        $this->thirdPartyModuleManager = $thirdPartyModuleManager;
    }

    /**
     * {@inheritdoc}
     */
    public function prepareEntityData($data)
    {
        $data[self::ON_SALE_ENABLED_PARAM] = $this->thirdPartyModuleManager->isOnSaleEnabled();
        return $data;
    }

    /**
     * {@inheritdoc}
     */
    public function prepareMetaData($meta)
    {
        return $meta;
    }
}
