define([
    'mage/url',
    'underscore'
], function (url, _) {
    'use strict';

    return {

        /**
         * Check if any route matches current page
         *
         ** @param {Array} routeList
         * @returns {Boolean}
         * @private
         */
        isAllowedForCurrentPage: function (routeList) {
            var link,
                result;

            if (!_.isEmpty(routeList)) {
                result = _.some(routeList, function (route) {
                    link = url.build(route);
                    return location.href.indexOf(link) !== -1
                });
            } else {
                result = true;
            }

            return result;
        },

        /**
         * Check if denied routes match current page
         *
         ** @param {Array} routeList
         * @returns {Boolean}
         * @private
         */
        isDeniedForCurrentPage: function (routeList) {
            var result = false,
                link;

            if (!_.isEmpty(routeList)) {
                result = _.some(routeList, function (route) {
                    link = url.build(route);
                    return location.href.indexOf(link) > -1
                });
            }

            return result;
        }
    };
});
